/***************************************************************************

  class_info.c

  Information about internal component

  (c) 2000-2004 Benot Minisini <gambas@users.sourceforge.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#define __GBX_CLASS_INFO_C

#include "gb_common.h"
#include "gb_alloc.h"
#include "gb_error.h"
#include "gb_limit.h"
#include "gambas.h"

#include "gbx_c_gambas.h"
#include "gbx_c_class.h"
#include "gbx_c_error.h"
#include "gbx_c_collection.h"
#include "gbx_c_file.h"
#include "gbx_c_application.h"
#include "gbx_c_array.h"
#include "gbx_c_process.h"

GB_DESC *GB_CLASSES[] =
{
  NATIVE_Gambas,
  NATIVE_Symbol,
  NATIVE_ClassSymbols,
  NATIVE_Class,
  NATIVE_Classes,
  NATIVE_Library,
  NATIVE_Libraries,
  NATIVE_Object,
  NATIVE_Collection,
  NATIVE_Error,
  NATIVE_Stream,
  NATIVE_FilePerm,
  NATIVE_File,
  NATIVE_AppArgs,
  NATIVE_App,
  NATIVE_System,
  NATIVE_Array,
  NATIVE_Process,
  NATIVE_IntegerArray,
  NATIVE_FloatArray,
  NATIVE_DateArray,
  NATIVE_StringArray,
  NATIVE_ObjectArray,
  NATIVE_VariantArray,
  NULL
};

